26.1 Major Release Preview
Release Preview
Major Release Previews provide you with an early look at the new features and updates that will be provided in the upcoming release. However, in the weeks after this Major Release Preview is published, the release preview page may change with items being added, modified, or removed. When a final draft of the Major Release is published, the “Preview" label is removed and no further planned updates are made to it.
Table of Contents
- Important Notices
- Encompass Software Development Kit (SDK)
- Consumer Engagement APIs
- Encompass Loan APIs
- Secondary and Trades APIs
- Settings - eFolder Setup APIs
- Settings - External Company Setup APIs
- Settings - External User Setup APIs
- Settings - Loan Setup APIs
- Settings - Tables and Fees APIs
- Task APIs
- Webhooks
- Breaking Changes
- Deprecation and Sunset Notices
- Guides
- Fixed Issues
- Known Issues
- Loan Schema Changes
- Postman File Updates
IMPORTANT NOTICES
API Reference Reorganization
As part of a modernization effort for ICE API documentation, the layout of API Reference is undergoing reorganization. Over time, you will see API endpoints moved to more logical categories and groupings. In addition, the standalone contract pages will be slowly going away, and the details of the request and response bodies will be contained within each endpoint definition. The following API endpoints are a few examples:
- Loan: Loan Metadata
- Loan: Loan Verifications
- Settings: eFolder Setup
- Settings: External User Setup
- Settings: SCIM Provisioning and Account Linking
- Webhooks: Event History
Update PingID® Mobile App to Maintain Push Authentications on Android
Starting March 6, 2026, an Android security update from Google will impact older versions of the PingID® mobile app. If you’re using the Android edition of the PingID® mobile app with a version earlier than 3.3.1, you will not be able to approve login requests via push notifications.
Who is affected - Encompass customers who use the Android edition of the PingID® mobile app as their multi-factor authentication (MFA) provider when logging into Encompass or other ICE Mortgage Technology applications.
What You Need to Do - To keep logging in without interruptions, update the PingID® mobile app to version 3.3.1 or later on your Android device.
After March 6, 2026, older versions will no longer support push notifications.
SSO and MFA Administration Changes Coming in Release 26.2
Currently, administrators managing their company's Single Sign-On (SSO) and Multi-Factor Authentication (MFA) setup and preferences utilize the setup screens located in Encompass Developer Connect. With the Encompass 26.2 release currently planned for July 2026, these settings will be removed from Encompass Developer Connect. Beginning in 26.2, these settings will now be provided in the Encompass web interface's Admin portal, in addition to Encompass desktop interface. Existing setup and configuration settings will not be impacted and hence administrators will not be required to reconfigure their existing SSO and MFA setup. More information will be provided about this update in the coming weeks.
EDC-1270
ENCOMPASS SOFTWARE DEVELOPMENT KIT (SDK)
SDK to API Transition Deadline Change
The deadline to transition from legacy Encompass SDK (Software Development Kit) integrations to APIs (as previously announced in the 25.2 release notes) has changed. Please see the latest deadline information published in the official Encompass SDK Transition page.
CONSUMER ENGAGEMENT APIs
New Pre-population Use Cases Added to Create Invitation URL API (update)
The Create Invitation URL API has been enhanced to include two new pre-population use cases. The API will now perform the following:
- Pre-populate and map borrower residential address with subject property address.
- Pre-populate the HELOC fields on the loan details screen.
EDC-1259
ENCOMPASS LOAN APIs
Pagination and View Added to Get Attachment APIs (update)
New pagination and view parameters have been added to the following APIs for improved performance:
- V3 Get List of Attachments
GET /encompass/v3/loans/{loanId}/attachments - V3 Get an Attachment
GET /encompass/v3/loans/{loanId}/attachments/{attachmentId}
EDC-1241
Restricted Attribute Added for Resource Lock APIs (update)
Your company must be participating in Encompass desktop Shared Lock Limited Availability feature to receive this functionality.
A new 'restricted' attribute has been added to the contracts for the following Resource Lock APIs. This attribute indicates that the resource lock is restricted for certain operations because the loan is also open in Encompass desktop. Restricted loan operations are prohibited by the API user, while the loan remains open in Encompass desktop. The restricted operations include the following: Create or Delete Borrower Pair, and Swap/Move Borrowers
- V3 Lock Resource
POST /encompass/v3/resourceLocks - V3 Unlock Resource
DELETE /encompass/v3/resourceLocks/{lockId} - V1 Lock Resource
POST /encompass/v1/resourceLocks - V1 Unlock Resource
DELETE /encompass/v1/resourceLocks/{lockId}
EDC-1247
New Query by Compliance Fields Import Option (update)
The following API has been updated to include a new 'complianceFieldsImportOption' query parameter to specify import options of Correspondent Compliance fields from the MISMO 3.4 loan file (i.e., Mavent fields).
- V3 Importer to Update Loan
POST /encompass/v3/loans/{loanId}/importer
You can specify one of the following options with this query parameter:
- IncludeComplianceFields - The default value and indicates import all fields.
- ComplianceFieldsOnly - Use for importing only compliance fields.
- SkipComplianceFields - Use for skipping compliance fields while importing.
EDC-1267
New Borrower Associations and Verification Validations (update)
The following API has been enhanced to retrieve borrower/coborrower associations and URLA verification record associations. To facilitate these new enhancements, new 'borrowers' and 'verifications' attributes have been added.
- V3 Get All Enhanced Conditions
GET /encompass/v3/loans/{loanId}/conditions
These new attributes are currently in beta mode and are not ready for production use.
EDC-1262
SECONDARY and TRADES APIs
New Loan Trade APIs (new)
The following APIs have been added to enable creating/managing Loan Trades, assigning/updating loans on a Loan Trade and managing Loan Trade documents:
- Create Loan Trade
POST /secondary/v1/trades/loanTrades - Get Loan Trade
GET /secondary/v1/trades/loanTrades/{tradeId} - Update Loan Trade
PATCH /secondary/v1/trades/loanTrades/{tradeId} - Assign Loans to a Loan Trade
PUT /secondary/v1/trades/loanTrades/{tradeId}/loans - Unassign Loans from a Loan Trade
DELETE /secondary/v1/trades/loanTrades/{tradeId}/loans - Update Assigned Loans in a Loan Trade
PUT /secondary/v1/trades/loanTrades/{tradeId}/loans/update - Get Loan Trade Documents
POST /secondary/v1/trades/loanTrades/{tradeId}/documents - Manage Loan Trade Document
PATCH /secondary/v1/trades/loanTrades/{tradeId}/documents - Get Trade Document Upload URL
POST /secondary/v1/trades/urlGenerator - Get Trade Document Download URL
POST /secondary/v1/trades/downloadUrlGenerator
New Update Assigned Loans for Correspondent Trade API (new)
The following new endpoint has also been added to the Correspondent Trade APIs:
- Update Assigned Loans in a Correspondent Trade
PUT /secondary/v1/trades/correspondent/{tradeId}/loans/update
Trade API Enhancements (update)
As part of these trade API enhancements, the following endpoints have been updated to include options to retrieve by Loan Trade in addition to Correspondent Trade:
- Get Trade Pipeline of Correspondent Trade retitled to Create Trade Pipeline
POST /secondary/v1/tradePipeline - Get Field Definitions
GET /secondary/v1/tradePipeline/canonicalFields
EDC-1257
SETTINGS - EFOLDER SETUP APIs
New API to Retrieve eFolder Document Groups (new)
The following API has been added that enables retrieving eFolder document group settings.
- V3 Get eFolder Document Groups
GET /encompass/v3/settings/eFolder/documentGroups
EDC-1272
SETTINGS - EXTERNAL COMPANY SETUP APIs
New Get List of Available External Site URLs API (new)
The following new API endpoint has been added that enables you to retrieve a full list of TPO Connect site URLs that are not marked as deleted and are available to add to an external organization:
- V3 Get List of Available External Site URLs
GET /encompass/v3/settings/externalOrganizations/tpoSettings/externalUrls
EDC-1238
New Sort and Filter Functionality for Get External Orgs (update)
The following API has been enhanced to support new 'filter' and 'sort' query parameters.
- V3 Get External Organizations
GET /encompass/v3/settings/externalOrganizations/tpos
The API results can now be sorted and filtered for certain attributes/scenarios. See details in the table below:
| Query Parameter | Description |
|---|---|
| filter | Use to filter the results by any of the following: - siteId- The ID of the site URL. - Name- The name of the org. - companyName - The name of the org when the org type is 'company'. - branchName - The name of the org when the org type is 'branch'. Example: v3/settings/externalOrganizations/tpos?filter=companyName:'ABCcorp',siteId|('3298728272', '6298472767','3385961829', '1234554321') |
| sort | Use to sort the results by any of the following: - siteId- The ID of the site URL. - Name- The name of the org. - companyName - The name of the org when the org type is 'company'. - branchName - The name of the org when the org type is 'branch'. Example: /v3/settings/externalOrganizations/tpos?sort=Name:desc |
EDC-1261
SETTINGS - EXTERNAL USER SETUP APIs
New 'entities' Parameter for External User APIs (update)
The following APIs have been enhanced with a new 'entities' query parameter that enables retrieving only the entities needed by the user:
- V3 Get All External Users
GET /encompass/v3/externalUsers - V3 Get an External User
GET /encompass/v3/externalUsers/{userId}
EDC-1198
New Sort and Filter Functionality for Get All External Users (update)
The following API has been enhanced to support new 'filter' and 'sort' query parameters.
- V3 Get All External Users
GET /encompass/v3/externalUsers
The API results can now be sorted and filtered. See details in the table below:
| Query Parameter | Description |
|---|---|
| filter | Use to filter the results by any of the following: - OrgName - The organization name associated to the user. - CompanyName - The company name associated to the user. - BranchName - The company branch name associated to the user. - FirstName - The user's first name. - LastName - The user's last name. - EmailId - The user's email address. - Phone - The user's phone number. - PersonaId - The Persona IDs associated to the user. - PersonaName - The Persona Names associated to the user. - siteId - The ID of the site URL for the organization associated to the user. - DesignatedRoleId - The Designated Role IDs associated to the user. - DesignatedRoleName - The Designated Role Names associated to the user. - RoldId - The Role IDs associated to the user. - RoleName - The Role Names associated to the user. |
| sort | Use to sort the results by any of the following: - OrgName - The organization name associated to the user. - CompanyName - The company name associated to the user. - BranchName - The company branch name associated to the user. - FirstName - The user's first name. - LastName - The user's last name. - EmailId - The user's email address. - Phone - The user's phone number. - PersonaId - The Persona IDs associated to the user. - PersonaName - The Persona Names associated to the user. - siteId - The ID of the site URL for the organization associated to the user. - DesignatedRoleId - The Designated Role IDs associated to the user. - DesignatedRoleName - The Designated Role Names associated to the user. - RoldId - The Role IDs associated to the user. - RoleName - The Role Names associated to the user. |
EDC-1271
SETTINGS - LOAN SETUP APIs
New ICE BI Dashboard Indicator for Loan Folder APIs (update)
The contracts for the following Loan Folder API endpoints have been enhanced with a new 'includeInIceBiDashboard' attribute. This new boolean attribute indicates when the loan folder is included in the ICE Business Intelligence (BI) dashboard.
- V3 Get List of Loan Folders
GET /encompass/v3/loanFolders - V3 Get a Loan Folder
GET /encompass/v3/loanFolders/{folderName}
This 'includeInIceBiDashboard' attribute requires having the ICE BI Dashboard feature enabled. Contact Client Support for more information about this feature.
EDC-1265
New Loan Folder APIs (new)
The following new API endpoints have been added that enable you to manage your loan folders.
- V3 Create Loan Folder
POST /encompass/v3/loanFolders - V3 Delete Loan Folder
DELETE /encompass/v3/loanFolders/{folderName} - V3 Update Loan Folder
PATCH /encompass/v3/loanFolders/{folderName}
EDC-1070
SETTINGS - TABLES AND FEES APIs
New API to Retrieve AMI Limit Settings (new)
The following API has been added that enables retrieving Area Median Income (AMI) limit settings configured in Encompass > Settings > Table and Fees > Affordable Lending > AMI Limits.
- V3 Get Area Median Income Limit Settings
GET /encompass/v3/settings/fees/affordableLending/amiLimits
EDC-1264
New API to Retrieve MFI Limit Settings (new)
The following API has been added that enables retrieving Median Family Income (MFI) limit settings configured in Encompass > Settings > Table and Fees > Affordable Lending > MFI Limits.
- V3 Get Median Family Income Limit Settings
GET /encompass/v3/settings/fees/affordableLending/mfiLimits
EDC-1263
TASK APIs
Soft Delete Enhancement for Task Instance Management APIs (update)
The following API endpoints have been enhanced to no longer include tasks and subtasks associated with soft and hard deleted loans.
- Get All Tasks
GET /workflow/v1/tasks - Get All Subtasks
GET /workflow/v1/tasks/{taskId}/subtasks - Get Task Pipeline
GET /workflow/v1/taskPipeline
The task and subtasks associated with deleted loans can still be retrieved with the following endpoints.
- Get a Task
GET /workflow/v1/tasks/{id} - Get a Subtask
GET /workflow/v1/tasks/{taskId}/subtasks/{subTaskId}
All the endpoints listed above will include a new 'isSoftDeleted' attribute in their contracts to indicate when the loan the task and/or subtask is associated to has been soft or hard deleted.
EDC-1258
WEBHOOKS
Loan Resource Webhook Events (new)
A new Loan resource DisclosureTracking webhook event has been added.
This new webhook event is currently only in beta mode and not generally available.
EDC-1249
BREAKING CHANGES
Be sure to visit the Breaking Change Notices page to see a list of ALL breaking changes documented for past and future releases.
Breaking Changes for 26.1 Release
Enhancing Error Message Descriptions for Updating Custom Fields
As previously mentioned in the 25.4 Release Notes as upcoming 26.1 breaking changes, a series of APIs have been updated to enhance error message descriptions for errors involving Custom Field updates. This is to better align with error messaging standards. For details regarding the APIs involved and the new errors, see the full notice in the 26.1 section of the Breaking Change Notices page.
EDC-1231, EDC-1223, EDC-1224, EBSP-62917, EBSP-67110
Admin Control Enforcement
As previously mentioned in the 25.4 Release Notes as upcoming 26.1 breaking changes, the following APIs have been updated to enforce persona controls. The calling user must have a super admin persona to retrieve a list of Custom Data Objects (CDOs). To ensure that partners without admin access can create and manage their own CDOs, the access controls for the V1 Create or Replace Global CDO endpoint has also been updated to remove the admin persona check. These updates represent breaking changes.
- V1 Get List of Global CDOs
GET /encompass/v1/company/customObjects - V1 Create or Replace Global CDO
PUT /encompass/v1/company/customObjects/{objectName}
EDC-1232, EDC-1220
Deprecating "status" Attribute in eFolder Document Contract
As previously mentioned in the 25.1 release notes, the "status" attribute in the eFolder Document Contract has been deprecated with this 26.1 release. The following API endpoints now use the more relevant "documentStatus" attribute in favor of the "status" attribute:
- V3 Get List of Documents
GET /encompass/v3/loans/{loanId}/documents - V3 Get a Document
GET /encompass/v3/loans/{loanId}/documents/{documentId} - V3 Manage Documents
PATCH /encompass/v3/loans/{loanId}/documents
Discontinue usage of the "status" attribute in favor of the "documentStatus" attribute.
EDC-1121, EDC-1235
Breaking Changes for 26.2 Release
Removal of ‘fundingFees’ Attribute in Loan Contract
As previously mentioned in the 25.4 Release Notes as upcoming breaking changes, the following APIs will now be updated in upcoming release 26.2 to no longer return the ‘fundingFees’ attribute inside the fundingFees object in the loan contract. This represents breaking changes to these APIs.
- V3 Get Loan
GET /encompass/v3/loans/{loanId} - V3 Create Loan
POST /encompass/v3/loans - V3 Update Loan
PATCH /encompass/v3/loans/{loanId}
Begin using V3 Get Funding Fees and V3 Update Funding Balances APIs as alternatives.
EDC-1217
V3 Loan APIs to Return Custom Fields as "null" Instead of Empty
Beginning with release 26.2, the responses on the following APIs will begin returning "null" instead of empty strings on Custom Fields when the 'includeEmpty' attribute is true and the Custom Fields have no value. This represents a breaking change to these APIs.
- V3 Get Loan
GET /encompass/v3/loans/{loanId} - V3 Create Loan
POST /encompass/v3/loans - V3 Update Loan
PATCH /encompass/v3/loans/{loanId}
EDC-1251
Breaking Changes for 26.3 Release
Performance Improvements - Get External Users
The breaking change performance improvements regarding V3 Get All External Users mentioned in earlier release notes as an upcoming 26.1 breaking change has been moved to release 26.3. The default behavior of this API will be updated with the following enhancements for improved performance:
- The API will return the response with minimal data as summary when the entities query parameter is not passed. See sample code below:
{
"id": "5117587072",
"useCompanyAddress": false,
"firstName": "vaibhav",
"middleName": "k",
"lastName": "patil",
"suffix": "Mr",
"title": "V",
"address": "pune",
"city": "Schdy",
"state": "NY",
"zipCode": "12345",
"phone": "123-456-789",
"cellPhone": "345-678-9",
"fax": "345-678-9",
"email": "[email protected]",
"nmlsId": "1234567",
"nmlsCurrent": true,
"ssn": "345-67-890",
"peerLoanAccess": "ReadWrite",
"accessMode": "ReadWrite",
"requirePasswordChange": false,
"lastLogin": "2025-12-26T18:45:00Z",
"organization": {
"entityId": "1",
"entityName": "Test Parent",
"entityType": "ExternalOrg"
},
"company": {
"entityId": "1",
"entityName": "Test Parent",
"entityType": "ExternalOrg"
},
"createdDate": "2025-09-18T08:44:53Z",
"createdBy": {
"entityId": "admin",
"entityType": "User"
},
"updatedDateTime": "2026-01-08T10:39:18Z",
"updatedBy": {
"entityId": "admin",
"entityType": "User"
}
}
- The API will return only 10 records as default response when there are no pagination query parameters passed.
EDC-1143, EDC-1256
DEPRECATION and SUNSET NOTICES
Be sure to visit the Deprecation and Sunset Notices page to see a list of ALL deprecations and sunsets documented for past and future releases.
Deprecations and Sunsets for 26.1 Release
Settings: Disclosure Tracking
A series of Disclosure Tracking settings objects have been deprecated. For details regarding the specific objects and affected APIs, see the full notice in the 26.1 section of the Deprecation and Sunset Notices page.
EDC-1210, EDC-1233
Deprecating V1 Loan Importer to Create Loan API
As of release 26.1, the following endpoint will be deprecated and will no longer be supported:
- V1 Loan Importer to Create Loan
POST /encompass/v1/importers/loan
Discontinue using this API endpoint and transition to using the V3 Converter to Import New Loan
POST /encompass/v3/converter/loansendpoint instead.
EDC-1250
Deprecations and Sunsets for 26.3 Release
Sunsetting V1 eFolder Attachment APIs
As part of a data center migration, a series of V1 eFolder Attachment APIs will be sunset in the upcoming 26.3 release. For more details, see the Deprecation and Sunset Notices page.
EDC-1186
GUIDES
Plugin Best Practices (new)
A new series of best practices regarding Plugins has been added to the Best Practices section. See Plugin Best Practices.
EDC-1260
FIXED ISSUES
EDC-1252 - Fixed an issue where the V3 Get Loan API was not honoring the 'Persona Access to Loan" business rule and was allowing access to loan "Edit Custom Access" objects the rule was restricting. The API no longer returns these loan objects the business rule is restricting.
EDC-1244 - Prior to release 26.1, the loan attribute 'useEnhancedConditionIndicator' in the Loan Contract was not writable after loan creation. From release 26.1 forward, this attribute can be changed if no conditions (enhanced or standard) exist in the loan. Prior to release 26.1, there was an issue with the following standard conditions endpoints where the APIs were allowing to create standard conditions even when the loan was enabled for enhanced conditions. Starting with the 26.1 release, the APIs will fail with a 500 error if the 'useEnhancedConditionIndicator' attribute in the loan is set to true. This 500 error will be corrected to a 4xx error in an upcoming release.
- V1 Create Preliminary Conditions
POST /encompass/v1/loans/{loanId}/conditions/preliminary - V1 Create Post-Closing Conditions
POST /encompass/v1/loans/{loanId}/conditions/postclosing - V1 Create Underwriting Conditions
POST /encompass/v1/loans/{loanId}/conditions/underwriting
EDC-1274 - As part of the 25.4 December Service Pack 2 release, an update was made to the SCIM Get Users API to retrieve a list of users for the DDA schema. An issue occurred with this update where the API response was by default returning a list of disabled users only if the 'enabled' filter was not set to true. As part of this fix, the API response now returns both the enabled and disabled DDA SCIM users when the 'enabled' filter is not sent.
KNOWN ISSUES
EDC-1253 - When attempting to move the borrower to co-borrower on an application using V1 Move Borrower Pair, the system enforces both Persona Access to Loan (PAL) and Persona Access to Fields (PAF) rules. As a result, the move application operation may fail even when the user has valid permission to move the application and borrower pair. In upcoming release 26.2, this issue is being fixed. The expected behavior after the fix is if the user has access to the loan, the user can move the borrower to co-borrower on an application.
EDC-1276 - Field Change webhook events may not be delivered in specific scenarios where the loan creation or update that triggers the event contains a payload larger than 250 KB. When this occurs, subscribers may not receive the corresponding Field Change webhook notification. This issue will be resolved in the 26.2 major release.
LOAN SCHEMA CHANGES
The Encompass Loan Schema is updated with every major release to include new fields and update existing fields to support new features and to stay up-to-date with regulatory requirements. For the full list of the added and update fields, please refer to the following links:
- Replication: Encompass Data Connect (Replication) Release Notes
- Hosted: Encompass Data Connect (Hosted) Release Notes
- Direct Write: Encompass Data Connect (Direct Write) Release Notes
POSTMAN FILE UPDATES
The following Postman files have been updated to support release 26.1. All new and updated samples are prefixed with "26.1R" for each reference. NOTE: Postman files are not updated during the release preview window.
- Encompass Developer Connect Postman Collection
- Encompass Developer Connect Postman Environment Variables
See Testing with Postman for more details and to download the latest versions of each Postman file.
